import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { CreateAvailabilityConfigurationRequestFilterSensitiveLog, } from "../models/models_0";
import { de_CreateAvailabilityConfigurationCommand, se_CreateAvailabilityConfigurationCommand, } from "../protocols/Aws_json1_1";
export { $Command };
export class CreateAvailabilityConfigurationCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("WorkMailService", "CreateAvailabilityConfiguration", {})
    .n("WorkMailClient", "CreateAvailabilityConfigurationCommand")
    .f(CreateAvailabilityConfigurationRequestFilterSensitiveLog, void 0)
    .ser(se_CreateAvailabilityConfigurationCommand)
    .de(de_CreateAvailabilityConfigurationCommand)
    .build() {
}
